
player = {}
player.x = 50
player.y = 320
player.speed = 130
player.life = 3

player.draw = function()
	love.graphics.setColor(0, 130, 255)
	love.graphics.rectangle("fill", player.x, player.y, 20, 20)
	if player.speed <= 180 then
		if player.speed ~= 130 then
			love.graphics.setColor(255, 255, 255)
			love.graphics.print("boost!", 175, 430)
		end
	end
	if player.life == 3 then
		love.graphics.setColor(0, 130, 255) --lifes should be represented with the same color of the player (easier to understand)
		love.graphics.rectangle("fill", 183, 400, 20, 20)
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("x3", 213, 400)
	elseif player.life == 2 then
		love.graphics.setColor(0, 130, 255)
		love.graphics.rectangle("fill", 183, 400, 20, 20)
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("x2", 213, 400)
	elseif player.life == 1 then
		love.graphics.setColor(0, 130, 255)
		love.graphics.rectangle("fill", 183, 400, 20, 20)
		love.graphics.setColor(255, 255, 255)
		love.graphics.print("x1", 213, 400)
	end
end

player.move = function(dt)
	if love.keyboard.isDown("left") then
		if player.x > 0 then
			player.x = player.x - player.speed * dt
		end
	elseif love.keyboard.isDown("right") then
		if player.x < love.window.getWidth() - 20 then
			player.x = player.x + player.speed * dt
		end
	end
	if player.speed <= 180 then
		if player.speed ~= 130 then
			player.speed = player.speed - 10 * dt
		end
	end
	if player.speed < 130 then
		player.speed = 130
	end
end